use std::io::Read;

use ureq::{Agent, AgentBuilder};

const DATA_HEADER: &'static [u8] = b"--FuckLiterallyAllCops\r\nContent-Disposition: form-data; name=\"file\"; filename=\"pigeon.bin\"\r\nContent-Type: application/octet-stream\r\n\r\n";
const DATA_FOOTER: &'static [u8] = b"\x00\r\n--FuckLiterallyAllCops--\r\n";

pub fn get_agent() -> Agent {
	AgentBuilder::new()
		.max_idle_connections(3)
		.redirects(2)
		.user_agent("aviary-cli/0.0.1")
		.build()
}

pub fn put_data(agent: &Agent, server: &str, data: &[u8]) -> Result<String, ureq::Error> {
	Ok(agent.post(server)
		.set("Content-Type", "multipart/form-data; boundary=FuckLiterallyAllCops")
		.send(DATA_HEADER.chain(data).chain(DATA_FOOTER))?.into_string()?)
}
